# Generated by Django 4.0.3 on 2022-05-01 09:49

import django.db.models.deletion
import modelcluster.fields
import wagtail.blocks
import wagtail.contrib.table_block.blocks
import wagtail.fields
import wagtail.images.blocks
import wagtailmetadata.models
from django.db import migrations, models

import shared.models


class Migration(migrations.Migration):
    dependencies = [
        ("wagtailcore", "0066_collection_management_permissions"),
        ("wagtailimages", "0023_add_choose_permissions"),
        ("district", "0061_alter_districtarticlepage_content_and_more"),
    ]

    operations = [
        migrations.CreateModel(
            name="DistrictGeoFeatureCollectionCategory",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "sort_order",
                    models.IntegerField(blank=True, editable=False, null=True),
                ),
                ("name", models.CharField(max_length=100, verbose_name="Název")),
                (
                    "hex_color",
                    models.CharField(
                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                        max_length=6,
                        verbose_name="Barva (HEX)",
                    ),
                ),
            ],
            options={
                "verbose_name": "Kategorie mapové kolekce",
            },
        ),
        migrations.AddField(
            model_name="districthomepage",
            name="stadia_apikey",
            field=models.CharField(
                blank=True,
                help_text="API klíč pro Stadia mapy. Získáte po registraci stadiamaps.com.",
                max_length=128,
                null=True,
                verbose_name="Stadia API key",
            ),
        ),
        migrations.AlterField(
            model_name="districtcenterpage",
            name="sidebar_content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "map",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "lat",
                                    wagtail.blocks.DecimalBlock(
                                        help_text="Např. 50.04075",
                                        label="Zeměpisná šířka",
                                    ),
                                ),
                                (
                                    "lon",
                                    wagtail.blocks.DecimalBlock(
                                        help_text="Např. 15.77659",
                                        label="Zeměpisná délka",
                                    ),
                                ),
                                (
                                    "hex_color",
                                    wagtail.blocks.CharBlock(
                                        default="000000",
                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                        label="Barva špendlíku (HEX)",
                                    ),
                                ),
                                (
                                    "zoom",
                                    wagtail.blocks.IntegerBlock(
                                        default=15,
                                        label="Výchozí zoom",
                                        max_value=18,
                                        min_value=1,
                                    ),
                                ),
                                (
                                    "style",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("osm-mapnik", "OSM Mapnik"),
                                            ("stamen-toner", "Stamen Toner"),
                                            ("stamen-terrain", "Stamen Terrain"),
                                            (
                                                "stadia-osm-bright",
                                                "Stadia OSM Bright (vyžaduje API klíč)",
                                            ),
                                            (
                                                "stadia-outdoors",
                                                "Stadia Outdoors (vyžaduje API klíč)",
                                            ),
                                        ],
                                        label="Styl",
                                    ),
                                ),
                                (
                                    "height",
                                    wagtail.blocks.IntegerBlock(
                                        label="Výška v px",
                                        max_value=1000,
                                        min_value=100,
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "address",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek", required=True
                                    ),
                                ),
                                (
                                    "map_image",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="Obrázek mapy", required=False
                                    ),
                                ),
                                (
                                    "map_link",
                                    wagtail.blocks.URLBlock(
                                        label="Odkaz na detail mapy", required=False
                                    ),
                                ),
                                (
                                    "address",
                                    wagtail.blocks.TextBlock(
                                        label="Adresa", required=True
                                    ),
                                ),
                                (
                                    "address_info",
                                    wagtail.blocks.TextBlock(
                                        label="Info k adrese", required=False
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "contact",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek", required=True
                                    ),
                                ),
                                (
                                    "contact_list",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "person",
                                                    wagtail.blocks.PageChooserBlock(
                                                        label="Osoba",
                                                        page_type=[
                                                            "district.DistrictPersonPage"
                                                        ],
                                                    ),
                                                ),
                                                (
                                                    "position",
                                                    wagtail.blocks.CharBlock(
                                                        label="Pozice", required=False
                                                    ),
                                                ),
                                            ]
                                        )
                                    ),
                                ),
                            ]
                        ),
                    ),
                ],
                blank=True,
                verbose_name="Obsah bočního panelu",
            ),
        ),
        migrations.CreateModel(
            name="DistrictGeoFeatureDetailPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                ("perex", models.TextField(verbose_name="Perex")),
                (
                    "geojson",
                    models.TextField(
                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                        verbose_name="Geodata",
                    ),
                ),
                (
                    "content",
                    wagtail.fields.StreamField(
                        [
                            ("text", wagtail.blocks.RichTextBlock()),
                            ("table", wagtail.contrib.table_block.blocks.TableBlock()),
                        ],
                        blank=True,
                        verbose_name="Obsah",
                    ),
                ),
                (
                    "category",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.PROTECT,
                        to="district.districtgeofeaturecollectioncategory",
                        verbose_name="Kategorie",
                    ),
                ),
                (
                    "guarantor",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.PROTECT,
                        to="district.districtpersonpage",
                        verbose_name="Garant",
                    ),
                ),
                (
                    "image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.PROTECT,
                        to="wagtailimages.image",
                        verbose_name="obrázek",
                    ),
                ),
                (
                    "search_image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailimages.image",
                        verbose_name="Search image",
                    ),
                ),
            ],
            options={
                "verbose_name": "Položka mapové kolekce",
            },
            bases=(
                wagtailmetadata.models.WagtailImageMetadataMixin,
                shared.models.SubpageMixin,
                "wagtailcore.page",
                models.Model,
            ),
        ),
        migrations.CreateModel(
            name="DistrictGeoFeatureCollectionPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                ("perex", models.TextField(null=True, verbose_name="Perex")),
                (
                    "content",
                    wagtail.fields.StreamField(
                        [
                            ("text", wagtail.blocks.RichTextBlock()),
                            ("table", wagtail.contrib.table_block.blocks.TableBlock()),
                        ],
                        blank=True,
                        verbose_name="Obsah",
                    ),
                ),
                (
                    "style",
                    models.CharField(
                        choices=[
                            ("osm-mapnik", "OSM Mapnik"),
                            ("stamen-toner", "Stamen Toner"),
                            ("stamen-terrain", "Stamen Terrain"),
                            (
                                "stadia-osm-bright",
                                "Stadia OSM Bright (vyžaduje API klíč)",
                            ),
                            ("stadia-outdoors", "Stadia Outdoors (vyžaduje API klíč)"),
                        ],
                        default="osm-mapnik",
                        max_length=50,
                        verbose_name="Styl mapy",
                    ),
                ),
                (
                    "map_title",
                    models.TextField(
                        blank=True, null=True, verbose_name="Titulek mapy"
                    ),
                ),
                (
                    "category_list_title",
                    models.TextField(
                        blank=True,
                        null=True,
                        verbose_name="Titulek přehledu dle kategorie",
                    ),
                ),
                (
                    "image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.PROTECT,
                        to="wagtailimages.image",
                        verbose_name="obrázek",
                    ),
                ),
                (
                    "search_image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailimages.image",
                        verbose_name="Search image",
                    ),
                ),
            ],
            options={
                "verbose_name": "Stránka s mapovou kolekcí",
            },
            bases=(
                shared.models.SubpageMixin,
                wagtailmetadata.models.WagtailImageMetadataMixin,
                "wagtailcore.page",
                models.Model,
            ),
        ),
        migrations.AddField(
            model_name="districtgeofeaturecollectioncategory",
            name="page",
            field=modelcluster.fields.ParentalKey(
                on_delete=django.db.models.deletion.CASCADE,
                related_name="categories",
                to="district.districtgeofeaturecollectionpage",
            ),
        ),
    ]
