# Generated by Django 5.0.4 on 2024-05-16 11:15

from django.db import migrations

from shared.blocks import TwoTextColumnBlock


def migrate_contact_page_text(apps, schema_editor):
    DistrictContactPage = apps.get_model("district", "DistrictContactPage")

    for page in DistrictContactPage.objects.all():
        if not page.text_backup:
            continue

        page.text.append(
            (
                "two_columns_text",
                TwoTextColumnBlock().to_python(
                    {"text_column_1": page.text_backup, "text_column_2": ""}
                ),
            )
        )

        page.save()


class Migration(migrations.Migration):
    dependencies = [
        ("district", "0180_districtcontactpage_text"),
    ]

    operations = [migrations.RunPython(migrate_contact_page_text)]
