# Generated by Django 5.0.4 on 2024-05-27 17:22

import wagtail
from django.db import migrations


class Migration(migrations.Migration):
    dependencies = [
        ("district", "0206_alter_districtcenterpage_sidebar_content"),
    ]

    operations = [
        migrations.AddField(
            model_name="districtcenterpage",
            name="map_address_content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "address",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek", required=True
                                    ),
                                ),
                                (
                                    "map_link",
                                    wagtail.blocks.URLBlock(
                                        label="Odkaz na detail mapy", required=False
                                    ),
                                ),
                                (
                                    "address",
                                    wagtail.blocks.TextBlock(
                                        label="Adresa", required=True
                                    ),
                                ),
                                (
                                    "address_info",
                                    wagtail.blocks.TextBlock(
                                        label="Info k adrese", required=False
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                verbose_name="Adresa u mapy",
            ),
        ),
        migrations.AlterField(
            model_name="districtcenterpage",
            name="map_area_content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "map",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "lat",
                                    wagtail.blocks.DecimalBlock(
                                        help_text="Např. 50.04075",
                                        label="Zeměpisná šířka",
                                    ),
                                ),
                                (
                                    "lon",
                                    wagtail.blocks.DecimalBlock(
                                        help_text="Např. 15.77659",
                                        label="Zeměpisná délka",
                                    ),
                                ),
                                (
                                    "hex_color",
                                    wagtail.blocks.CharBlock(
                                        default="000000",
                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                        label="Barva špendlíku (HEX)",
                                    ),
                                ),
                                (
                                    "zoom",
                                    wagtail.blocks.IntegerBlock(
                                        default=15,
                                        label="Výchozí zoom",
                                        max_value=18,
                                        min_value=1,
                                    ),
                                ),
                                (
                                    "style",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("osm-mapnik", "OSM Mapnik"),
                                            ("stadia-osm-bright", "Stadia OSM Bright"),
                                            ("stadia-outdoors", "Stadia Outdoors"),
                                            ("mapbox-streets", "Mapbox Streets"),
                                            ("mapbox-outdoors", "Mapbox Outdoors"),
                                            ("mapbox-light", "Mapbox Light"),
                                            ("mapbox-dark", "Mapbox Dark"),
                                            ("mapbox-satellite", "Mapbox Satellite"),
                                            ("mapbox-pirate", "Mapbox Pirate Theme"),
                                        ],
                                        label="Styl",
                                    ),
                                ),
                                (
                                    "height",
                                    wagtail.blocks.IntegerBlock(
                                        label="Výška v px",
                                        max_value=1000,
                                        min_value=100,
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                verbose_name="Mapa",
            ),
        ),
    ]
