# Generated by Django 5.0.7 on 2024-09-01 13:29

import wagtail.blocks
import wagtail.fields
import wagtail.images.blocks
from django.db import migrations

import shared.blocks.children.misc


class Migration(migrations.Migration):
    dependencies = [
        ("main", "0128_alter_mainprogrampage_program"),
    ]

    operations = [
        migrations.AlterField(
            model_name="mainhomepage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "carousel",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "desktop_line_1",
                                    wagtail.blocks.TextBlock(
                                        label="Desktop první řádek"
                                    ),
                                ),
                                (
                                    "desktop_line_2",
                                    wagtail.blocks.TextBlock(
                                        label="Desktop druhý řádek"
                                    ),
                                ),
                                (
                                    "mobile_line_1",
                                    wagtail.blocks.TextBlock(
                                        label="První mobilní řádek"
                                    ),
                                ),
                                (
                                    "mobile_line_2",
                                    wagtail.blocks.TextBlock(
                                        label="Druhý mobilní řádek"
                                    ),
                                ),
                                (
                                    "mobile_line_3",
                                    wagtail.blocks.TextBlock(
                                        label="Třetí mobilní řádek"
                                    ),
                                ),
                                (
                                    "desktop_image",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="Obrázek nahrazující animaci (desktop)",
                                        required=False,
                                    ),
                                ),
                                (
                                    "mobile_image",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="Obrázek nahrazující animaci (mobil / tablet)",
                                        required=False,
                                    ),
                                ),
                                (
                                    "button_url",
                                    wagtail.blocks.URLBlock(
                                        help_text="Bez odkazu tlačítko nebude viditelné.",
                                        label="Odkaz tlačítka",
                                        required=False,
                                    ),
                                ),
                                (
                                    "button_text",
                                    wagtail.blocks.CharBlock(
                                        help_text="Odkaz funguje i bez tlačítka. Pokud chceš tlačítko skrýt, nevyplňuj text.",
                                        label="Text tlačítka",
                                        required=False,
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "news",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        help_text="Nejnovější články se načtou automaticky",
                                        label="Titulek",
                                    ),
                                ),
                                (
                                    "description",
                                    wagtail.blocks.TextBlock(
                                        label="Popis", required=False
                                    ),
                                ),
                            ],
                            template="styleguide2/includes/organisms/articles/articles_section.html",
                        ),
                    ),
                    (
                        "people",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title_line_1",
                                    wagtail.blocks.CharBlock(
                                        label="První řádek titulku"
                                    ),
                                ),
                                (
                                    "title_line_2",
                                    wagtail.blocks.CharBlock(
                                        label="Druhý řádek titulku"
                                    ),
                                ),
                                (
                                    "description",
                                    wagtail.blocks.TextBlock(label="Popis"),
                                ),
                                (
                                    "list",
                                    wagtail.blocks.ListBlock(
                                        shared.blocks.children.misc.PersonBoxBlock,
                                        label="Boxíky",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "regions",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        help_text="Články pro regiony se načtou automaticky",
                                        label="Titulek",
                                    ),
                                )
                            ]
                        ),
                    ),
                    (
                        "boxes",
                        wagtail.blocks.StructBlock(
                            [
                                ("title", wagtail.blocks.CharBlock(label="Nadpis")),
                                (
                                    "list",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "button_link",
                                                    wagtail.blocks.URLBlock(
                                                        label="Odkaz tlačítka"
                                                    ),
                                                ),
                                                (
                                                    "button_text",
                                                    wagtail.blocks.CharBlock(
                                                        label="Text tlačítka"
                                                    ),
                                                ),
                                                (
                                                    "title",
                                                    wagtail.blocks.CharBlock(
                                                        label="Nadpis"
                                                    ),
                                                ),
                                                (
                                                    "image",
                                                    wagtail.images.blocks.ImageChooserBlock(
                                                        label="Logo/obrázek"
                                                    ),
                                                ),
                                            ]
                                        ),
                                        label="Boxíky",
                                    ),
                                ),
                                (
                                    "image",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="Obrázek pozadí", required=False
                                    ),
                                ),
                            ]
                        ),
                    ),
                ],
                blank=True,
                verbose_name="Hlavní obsah",
            ),
        ),
    ]
