# Generated by Django 5.0.6 on 2024-07-08 09:38

from django.db import migrations

from shared.blocks import MenuItemBlock


def migrate_menu(apps, schema_editor):
    UniwebHomePage = apps.get_model("uniweb", "UniwebHomePage")

    for home_page in UniwebHomePage.objects.all():
        new_menu_blocks = []

        for top_menu_item in home_page.top_menu:
            new_menu_blocks.append(
                (
                    "menu_item",
                    MenuItemBlock().to_python(
                        {
                            "title": top_menu_item.value["name"],
                            "page": top_menu_item.value["page"].id,
                        }
                    ),
                )
            )

        home_page.menu = new_menu_blocks
        home_page.save()


class Migration(migrations.Migration):
    dependencies = [
        ("uniweb", "0087_alter_uniwebarticlepage_options_and_more"),
    ]

    operations = [migrations.RunPython(migrate_menu)]
